import helpers
import read_csv
import sen1_w_dict
import sen2_w_Bayes
import keyword_search

file = "./website_downloads_cleaned_klein.csv"

def create_feature_list(csv_file):
    datalist = helpers.createDataframe(csv_file).values.tolist()
    feature_list = []

    for elem in datalist:
        values = []
        sentiment1 = sen1_w_dict.sentiment_extraction(elem)
        values.append(sentiment1)
        sentiment2 = sen2_w_Bayes.classification(elem)
        values.append(sentiment2)
        values.append(keyword_search.getKeywordvalues(elem))
        values.append(elem[1])  #name of medium
        values.append(elem[4])  #article title
        values.append(elem[3])  #article link
        feature_list.append(values)
    return feature_list

def addDayToList(featureList, i):
    for elem in featureList:
        new = elem
        new.append(i)
    return featureList

#Gesamt Sentimentwert vom Tag
def create_daily_feature(feature_list):
    sen1 = 0.0
    sen2 = 0
    daily_feature = []
    for elem in feature_list:
        sen1 += elem[0]
        sen2 += elem[1]
    daily_feature.append((sen1 / len(feature_list)))
    daily_feature.append((sen2 / len(feature_list)))
    return daily_feature

print(create_feature_list(file))

#feature_list = [[[0], ['positive'], [0, 0], 'www.stern.de', 'Sprengstoffverdacht auf Potsdamer Weihnachtsmarkt bestätigt | STERN.de', 'https://www.stern.de/news/sprengstoffverdacht-auf-potsdamer-weihnachtsmarkt-bestaetigt-7770880.html?utm_campaign=alle-nachrichten&utm_medium=rss-feed&utm_source=standard'], [[1.2589928057553956], ['negative'], [0, 0], 'newsfeed.zeit.de', 'Fußball-WM 2018: Deutschland spielt gegen Mexiko, Schweden und Südkorea |\xa0ZEIT ONLINE', 'http://www.zeit.de/sport/2017-12/fussball-wm-2018-deutschland-trifft-auf-mexiko-schweden-und-suedkorea'], [[3.5398230088495577], ['negative'], [0, 0], 'rtlnord.de', 'Schicken Sie uns Bilder von Ihrer Weihnachtsdekoration - RTL Nord', 'http://rtlnord.de/nachrichten/schicken-sie-uns-bilder-von-ihrer-weihnachtsdekoration.html'], [[-2.209944751381215], ['negative'], [0, 0], 'www.ndr.de', 'Elfjähriger verletzt 16 Mitschüler mit Reizgas | NDR.de - Nachrichten - Niedersachsen - Oldenburg/Ostfriesland', 'https://www.ndr.de/nachrichten/niedersachsen/oldenburg_ostfriesland/Elfjaehriger-verletzt-16-Mitschueler-mit-Reizgas,reizgas222.html'], [[0.0], ['positive'], [0, 0], 'www.faz.net', 'Flynn bekennt sich in Russland-Affäre schuldig', 'http://www.faz.net/aktuell/politik/trumps-praesidentschaft/flynn-bekennt-sich-in-russland-affaere-schuldig-15319591.html'], [[-1.5151515151515151], ['negative'], [0, 0], 'www.ndr.de', 'Revision im Prozess um Mord in Siedenbollentin | NDR.de - Nachrichten - Mecklenburg-Vorpommern', 'https://www.ndr.de/nachrichten/mecklenburg-vorpommern/Revision-im-Prozess-um-Mord-in-Siedenbollentin,prozess4236.html'], [[0.0], ['positive'], [0, 0], 'www.faz.net', 'Soros schlägt gegen Orbán zurück', 'http://www.faz.net/aktuell/politik/ausland/soros-schlaegt-gegen-orban-zurueck-15319683.html']]


# Featurelist: [Sentiment1 (zahl), Sentiment2 (pos/neg), [Werther, Papageno], Mediumname, Titel, Link]


#print(create_feature_list('website_downloads_cleaned_klein.csv'))