import os
import nltk
import nltk.data
import glob
from nltk.tokenize import word_tokenize
import re
import nltk.classify.util
from nltk.classify import NaiveBayesClassifier
import read_csv


neg_words_file = './Sentiment/SentiWS_v1.8c_Negative.txt'
pos_words_file = './Sentiment/SentiWS_v1.8c_Positive.txt'

neg_words = []
pos_words = []

with open(neg_words_file, encoding='utf-8') as file:
    neg_words = file.read()

with open(pos_words_file, encoding='utf-8') as file2:
    pos_words = file2.read()


neg_tokens = word_tokenize(neg_words)
pos_tokens = word_tokenize(pos_words)

customstopwords = [',']

#def tokenize(tokens):
 #   for w in tokens:
  #      if "|" in w:
   #         tokens.remove(w)
    #return tokens

#tokenize(neg_tokens)
#tokenize(pos_tokens)


filtered_neg_tokens = [w for w in neg_tokens \
                   if not w in customstopwords]

filtered_pos_tokens = [w for w in pos_tokens \
                   if not w in customstopwords]


def count_sentiment(text):
    sentiment = 0
    tokens = word_tokenize(text)
    for t in tokens:
        if t in filtered_neg_tokens:
            sentiment -= 1
        if t in filtered_pos_tokens:
            sentiment += 1
    if (len(tokens)>0):
        sentiment = (sentiment/len(tokens))*100
    return sentiment

def sentiment_extraction(elem):
    sentimentvalue = count_sentiment(elem[5])
    return sentimentvalue