import keyword_search
import sen1_w_dict
import sen2_w_Bayes
from helpers import createDataframe


def createFeatureList(csv_file):
    """
    createFeatureList() creates a list of features for every news article / row in the dataframe
    feature_list: [value of sentiment 1, value of sentiment 2, keyword values, name of medium,
    article title, article link]
    :param csv_file:
    :return: feature_list
    """
    datalist = createDataframe(csv_file).values.tolist()
    feature_list = []
    for elem in datalist:
        values = []
        sentiment1 = sen1_w_dict.sentiment_extraction(elem)
        values.append(sentiment1)
        sentiment2 = sen2_w_Bayes.classification(elem)
        values.append(sentiment2)
        values.append(keyword_search.getKeywordvalues(elem))
        values.append(elem[1])  #name of medium
        values.append(elem[4])  #article title
        values.append(elem[3])  #article link
        feature_list.append(values)
    return feature_list


###################  TEST   ########################
#file = "./testfiles/website_downloads_cleaned_klein.csv"
#print(createFeatureList(file))
####################################################
